Page MenuHomePhabricator

Extension matrix bot not working
Closed, DeclinedPublic

Description

On 2013-10-04 the Extension matrix bot stopped its service on mw.org. Since MediaWiki's Installer references the extension matrix with message 'Config-extension-link' I figure that the bot should be fixed. Since the original author of the bot seems to not be active any longer I am reporting this issue here, hopefully at the right spot. The extension matrix is quite useful so removing the reference does not appear to be an option to me. Thank you for your support.

The source code of the bot seems to be at this spot [1]

[1] https://www.mediawiki.org/wiki/User:Alterego/ExtensionMatrix/Source_code


Version: unspecified
Severity: normal

Details

Reference
bz61147

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:56 AM
bzimport added a project: Utilities-Other.
bzimport set Reference to bz61147.
bzimport added a subscriber: Unknown Object (MLST).
Kghbln created this task.Feb 10 2014, 5:10 PM

I have no idea who could look into this. Greg? :-/

(In reply to [[kgh]] from comment #0)

MediaWiki's Installer references the extension matrix with message
'Config-extension-link' I figure that the bot should be fixed.

CC'ing the Installer maintainers - worst casemight be to remove that reference

Thanks for the follow-up on this. It will be sad to remove the reference, however this might be the "ultimate" solution. Should probably be done beginning of May, so that the thus adjusted message gets into MW 1.23 (LTS) from the start.

Let's put this to rest.

Well, I already pinged him in October last year [1], so I do not see any chances. However, the longer I think about it the better the idea of using WikiAPIary [2] for this appeals to me.

[1] https://www.mediawiki.org/wiki/User_talk:Alterego#Extension_Matrix_3
[2] https://wikiapiary.com/wiki/Main_Page

reflection wrote:

I pleaded for the WMF to host the script in IRC and on several mailing lists and was essentially ignored. Take the code, install mwclient and run it via a cron job on some server that has bot access (I'm happy to give the credidentials to the bot account). It's not rocket science. Just do it. The code is open source and available!

(In reply to alterego from comment #7)

Take the code, install mwclient and run it via
a cron job on some server that has bot access (I'm happy to give the
credidentials to the bot account). It's not rocket science. Just do it. The
code is open source and available!

Please see https://www.mediawiki.org/wiki/Wikimedia_Labs/Tool_Labs

Thanks.

reflection wrote:

I don't have time, but if someone else does that would be great.

This [1] will probably be a good replacement for the extension matrix bot which is in the pipeline even as we write. Adding a reference to bug 46704 here for this reason.

[1] http://lists.thingelstad.com/pipermail/wikiapiary-l/2014-April/000152.html

Kghbln closed this task as Declined.Apr 2 2015, 3:10 PM
Kghbln claimed this task.

This is not working for over one and a half years. Additionally a fair replacement is available. Closing this as declined.

This [1] will probably be a good replacement for the extension matrix bot which is in the pipeline even as we write. Adding a reference to bug 46704 here for this reason.
[1] http://lists.thingelstad.com/pipermail/wikiapiary-l/2014-April/000152.html

Link doesn't work